%mergejedsg3m.m   1/13/2010 rl
%merge Jeddah SBE SeaGauge deploment 1 and 2 and 3 and 4
% input pres decibar data 
% output merged ssp synthetic subsurface pressure to jedallsg3m300s.mat
% see kaust_pressure_offset.xls
% 10/12/08 0952 merge time
% offset deploy2 -2.16617 psi deeper, use deploy1 as reference so 

clear;clf
mooring='Jeddah Aramco Terminal';depth=8;%m
instdepth=3;%m
latitude=21+25.875/60;longitude=39+9.234/60;

load C:\WHOI\redsea\data\pressure\oct08\jed1sg3m300s;
load C:\WHOI\redsea\data\pressure\apr09\jed2sg3m300s
    offset2=-1.49352; % db  or -2.16617;% psi 
    pres2=pres2+offset2;    mt = [2008 10 12 09 52 00];
    n=find(jdaysg1>julian(mt));jdaysg1(n)=[];pres1(n)=[];tempsg1(n)=[];
    n=find(jdaysg2<julian(mt));jdaysg2(n)=[];pres2(n)=[];tempsg2(n)=[];
    
load C:\WHOI\redsea\data\pressure\oct09\jed3sg3m300s
    offset3=0.153339;
    offset=offset2+offset3;% db 
    pres3=pres3+offset;    mt = [2009 4 29 08 57 00];
    n=find(jdaysg2>julian(mt));jdaysg2(n)=[];pres2(n)=[];tempsg2(n)=[];
    n=find(jdaysg3<julian(mt));jdaysg3(n)=[];pres3(n)=[];tempsg3(n)=[];
    
load C:\WHOI\redsea\data\pressure\may10\jed4sg3m300s
    offset4=1.085;
    offset=offset2+offset3+offset4;% db 
    pres4=pres4+offset;    mt = [2009 10 11 9 57 00];
    n=find(jdaysg3>julian(mt));jdaysg3(n)=[];pres3(n)=[];tempsg3(n)=[];
    n=find(jdaysg4<julian(mt));jdaysg4(n)=[];pres4(n)=[];tempsg4(n)=[];    
    
load C:\WHOI\redsea\data\pressure\oct10\jed5sg3m300s
    offset5=0.078;%0.078;
    offset=offset2+offset3+offset4+offset5;% db 
    pres5=pres5+offset;    mt = [2010 5 15 7 42 00];
    n=find(jdaysg4>julian(mt));jdaysg4(n)=[];pres4(n)=[];tempsg4(n)=[];
    n=find(jdaysg5<julian(mt));jdaysg5(n)=[];pres5(n)=[];tempsg5(n)=[];       
    
    jdaysgm=[jdaysg1;jdaysg2;jdaysg3;jdaysg4;jdaysg5];
    presm=[pres1;pres2;pres3;pres4;pres5];
    tempsgm=[tempsg1;tempsg2;tempsg3;tempsg4;tempsg5];
    
    % cut off so time interval is the same for all 3 locations
    st=julian([2008 4 22 0 0 0]);
    et=julian([2010 10 13 0 0 0]);
    n=find(jdaysgm<st | jdaysgm>et);
    jdaysgm(n)=[];presm(n)=[];tempsgm(n)=[];
    
% Plot pressure
    [ax,h1,h2]=plotyy(jdaysgm,presm,jdaysgm,tempsgm);
    h=title('Jeddah Bottom Pressure');set(h,'fontsize',12)
    set(ax(1),'ylim',[10.9 12.2],'ytick',[11 11.2 11.4 11.6 11.8],'xtickl',[]);
    set(get(ax(1),'Ylabel'),'String','Pressure db','fontw','bold');
    set(ax(2),'ylim',[24 34.3],'ytick',[25 27 29 31 33],'xtickl',[]);    set(h2,'color','r');
    set(ax(2),'Ycolor','r','fontsize',14,'xtickl',[])
    set(get(ax(2),'Ylabel'),'String','Temperature C','fontw','bold');
    
%plot lp pressure
    hold on
    preslp=pl66tn(presm,5/60,30*24);plot(jdaysgm,preslp,'c','linew',2)
    grid; gregaxd(jdaysgm,60);figure(gcf);  set(gca,'fontw','bold'); %wysiwyg
    figure(gcf)
    save jedmsg3m300s mooring jdaysgm presm tempsgm  ...
		 %depth instdepth latitude longitude SN
    print -djpeg99 -r300 jedmsg3m300s
