%mergerabsg3m.m   1/13/2010 rl
%merge Rabigh SBE SeaGauge deploment 1 and 2 and 3
% input ssp db data 
% output merged  subsurface pressure to raballsg3m300s.mat
% see kaust_pressure_offset.xls
% 10/12/08 0952 merge time
% use deploy1 as reference so 

clear;clf
load C:\WHOI\redsea\data\pressure\oct08\rab1sg3m300s;
load C:\WHOI\redsea\data\pressure\apr09\rab2sg3m300s
    offset2=-1.20392; % db  
    pres2=pres2+offset2;
    mt = [2008 10 13 09 12 00];
    n=find(jdaysg1>julian(mt));jdaysg1(n)=[];pres1(n)=[];tempsg1(n)=[];
    n=find(jdaysg2<julian(mt));jdaysg2(n)=[];pres2(n)=[];tempsg2(n)=[];
    
    load C:\WHOI\redsea\data\pressure\oct09\rab3sg3m300s
    offset3=+0.42081;
    offset=offset2+offset3;% db 
    pres3=pres3+offset;
    mt = [2009 4 27 08 17 00];
    n=find(jdaysg2>julian(mt));jdaysg2(n)=[];pres2(n)=[];tempsg2(n)=[];
    n=find(jdaysg3<julian(mt));jdaysg3(n)=[];pres3(n)=[];tempsg3(n)=[];

    load C:\WHOI\redsea\data\pressure\may10\rab4sg3m300s
    offset4=+1.522;
    offset=offset2+offset3+offset4;% db 
    pres4=pres4+offset;
    mt = [2009 10 13 9 47 00];
    n=find(jdaysg3>julian(mt));jdaysg3(n)=[];pres3(n)=[];tempsg3(n)=[];
    n=find(jdaysg4<julian(mt));jdaysg4(n)=[];pres4(n)=[];tempsg4(n)=[];

    load C:\WHOI\redsea\data\pressure\oct10\rab5sg3m300s
    offset5=+0.484172819;    
    offset=offset2+offset3+offset4+offset5;% db 
    pres5=pres5+offset;
    mt = [2010 5 13 9 47 00];
    n=find(jdaysg4>julian(mt));jdaysg4(n)=[];pres4(n)=[];tempsg4(n)=[];
    n=find(jdaysg5<julian(mt));jdaysg5(n)=[];pres5(n)=[];tempsg5(n)=[];

    
    
jdaysgm=[jdaysg1;jdaysg2;jdaysg3;jdaysg4;jdaysg5];
presm=[pres1;pres2;pres3;pres4;pres5];
tempsgm=[tempsg1;tempsg2;tempsg3;tempsg4;tempsg5];

    % cut off so time interval is the same for all 3 locations
    st=julian([2008 4 22 0 0 0]);
    et=julian([2010 10 13 0 0 0]);
    n=find(jdaysgm<st | jdaysgm>et);
    jdaysgm(n)=[];presm(n)=[];tempsgm(n)=[];

% Plot pressure
    %n=find(pres>6);pres(n)=nan;pres=pres; % removes spike at end
    [ax,h1,h2]=plotyy(jdaysgm,presm,jdaysgm,tempsgm);
    h=title('Rabigh SSP = Bottom Pressure - Barometric Pressure');set(h,'fontsize',12)
    set(ax(1),'ylim',[13.2 14.5],'ytick',[13.4 13.6 13.8 14.0 14.2],'xtickl',[]);

    set(get(ax(1),'Ylabel'),'String','Pressure db','fontw','bold');

    set(ax(2),'ylim',[24 35],'ytick',[25 27 29 31 33],'xtickl',[]);
    set(h2,'color','r');
    set(ax(2),'Ycolor','r','fontsize',14,'xtickl',[])
    set(get(ax(2),'Ylabel'),'String','Temperature C','fontw','bold');
    grid
    gregaxd(jdaysgm,60);figure(gcf);
    set(gca,'fontw','bold')
    %wysiwyg
    
    %plot lp pressure
    hold on
    preslp=pl66tn(presm,5/60,30*24);plot(jdaysgm,preslp,'c','linew',2)
    grid; gregaxd(jdaysgm,60);figure(gcf);  set(gca,'fontw','bold'); %wysiwyg
    figure(gcf)

    save rabmsg3m300s mooring jdaysgm presm tempsgm  ...
		 depth instdepth latitude longitude SN
    print -djpeg99 -r300 rabmsg3m300s
